## libkeduvocdocument 15.12.3

=== CMakeLists.txt ===
project(LibKEduVocDocument)
cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

find_package(Qt5 5.2 REQUIRED NO_MODULE COMPONENTS Xml)
find_package(KF5 5.3.0 REQUIRED COMPONENTS I18n Archive KIO)

#add_definitions( -Wall -fprofile-arcs -ftest-coverage )

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}
    ${CMAKE_INSTALL_PREFIX}/include/KDE #FIXME
)

remove_definitions(-DQT_NO_CAST_TO_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
remove_definitions(-DQT_NO_KEYWORDS)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DTRANSLATION_DOMAIN=\"libkeduvocdocument\")

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(GenerateExportHeader)

add_subdirectory(keduvocdocument)

configure_file( "${LibKEduVocDocument_SOURCE_DIR}/LibKEduVocDocumentConfig.cmake.in" "${LibKEduVocDocument_BINARY_DIR}/LibKEduVocDocumentConfig.cmake" @ONLY )

set(_LibKEduVocDocument_CONFIG_DEST "${LIB_INSTALL_DIR}/cmake/libkeduvocdocument")

install( FILES
        "${LibKEduVocDocument_BINARY_DIR}/LibKEduVocDocumentConfig.cmake"
        DESTINATION "${_LibKEduVocDocument_CONFIG_DEST}" )
install( EXPORT LibKEduVocDocumentTargets
         DESTINATION "${_LibKEduVocDocument_CONFIG_DEST}"
         NAMESPACE LibKEduVocDocumentImport__
         FILE LibKEduVocDocumentTargets.cmake )
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== keduvocdocument/CMakeLists.txt ===
add_subdirectory(autotests)
add_subdirectory(tests)

########### next target ###############

include(ECMSetupVersion)

ecm_setup_version(5.0.0 VARIABLE_PREFIX KDEEDU
                        VERSION_HEADER "${CMAKE_BINARY_DIR}/keduvocdocument/keduvocdocument_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_BINARY_DIR}/KEduVocDocumentVersion.cmake")

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
)

set(keduvocdocument_LIB_SRCS
    keduvocdocument.cpp
    keduvocidentifier.cpp
    keduvocexpression.cpp
    keduvoctranslation.cpp
    keduvoccontainer.cpp
    keduvoclesson.cpp
    keduvocleitnerbox.cpp
    keduvoctext.cpp
    keduvocarticle.cpp
    keduvocconjugation.cpp
    keduvocpersonalpronoun.cpp
    keduvocdeclension.cpp
    keduvocwordtype.cpp
    keduvockvtmlcompability.cpp
    keduvockvtml2writer.cpp
    keduvoccsvwriter.cpp
    autosave/kautosavefile.cpp
    autosave/kautosavefileprivate.cpp
    readerwriters/dummyreader.cpp
    readerwriters/failedreader.cpp
    readerwriters/keduvockvtmlreader.cpp
    readerwriters/keduvockvtml2reader.cpp
    readerwriters/keduvoccsvreader.cpp
    readerwriters/keduvocpaukerreader.cpp
    readerwriters/keduvocvokabelnreader.cpp
    readerwriters/keduvocwqlreader.cpp
    readerwriters/keduvocxdxfreader.cpp
    readerwriters/readermanager.cpp
    sharedkvtmlfiles.cpp
)

include(ECMGenerateHeaders)
ecm_generate_headers( KdeEdu_HEADERS
  HEADER_NAMES
    KEduVocDocument
    KEduVocIdentifier
    KEduVocExpression
    KEduVocText
    KEduVocArticle
    KEduVocConjugation
    KEduVocLesson
    KEduVocLeitnerBox
    KEduVocContainer
    KEduVocWordFlags
    KEduVocMultipleChoice
    KEduVocTranslation
    KEduVocWordtype
    KEduVocPersonalPronoun
    SharedKVTMLFiles
    KEduVocDeclension
    KEduVocKVTML2Writer

    REQUIRED_HEADERS KdeEdu_HEADERS
)

add_library(KEduVocDocument SHARED ${keduvocdocument_LIB_SRCS})
generate_export_header(KEduVocDocument BASE_NAME KEduVocDocument)
# vHanda: Add library alias?

target_link_libraries(KEduVocDocument
  PUBLIC
    Qt5::Xml
  PRIVATE
    KF5::I18n
    KF5::KIOCore
    KF5::Archive
)


# vHanda: Add Export Name?
set_target_properties(KEduVocDocument
    PROPERTIES VERSION   ${KDEEDU_VERSION_STRING}
               SOVERSION ${KDEEDU_SOVERSION}
)
target_include_directories(KEduVocDocument INTERFACE "$<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}/libkeduvocdocument>")


#Library for non-api unittests
add_library(keduvocdocument_static STATIC ${keduvocdocument_LIB_SRCS})
set_target_properties(keduvocdocument_static PROPERTIES COMPILE_FLAGS -DKEDUVOCDOCUMENT_STATIC_DEFINE)

target_link_libraries(keduvocdocument_static
  PUBLIC
    KF5::KIOCore
    Qt5::Xml
  PRIVATE
    KF5::I18n
    KF5::Archive
)



# if we want to set our own version instead of following kde generic
#set(LIB_KEDUVOCDOCUMENT_VERSION "5.0.0")
#set(LIB_KEDUVOCDOCUMENT_SOVERSION "5")
#set_target_properties(keduvocdocument
#    PROPERTIES VERSION ${LIB_KEDUVOCDOCUMENT_VERSION}
#    SOVERSION ${LIB_KEDUVOCDOCUMENT_SOVERSION}
#)

install(TARGETS KEduVocDocument EXPORT LibKEduVocDocumentTargets ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/keduvocdocument_export.h
  ${KdeEdu_HEADERS}
  DESTINATION ${INCLUDE_INSTALL_DIR}/libkeduvocdocument COMPONENT Devel
)

=== keduvocdocument/tests/CMakeLists.txt ===
include(ECMMarkAsTest)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}/..
    ${CMAKE_CURRENT_SOURCE_DIR}/..
)

macro(KEDUVOCDOCUMENT_EXECUTABLE_TESTS)
   foreach(_testname ${ARGN})
      add_executable(${_testname} ${_testname}.cpp) # TODO NOGUI
      target_link_libraries(${_testname} KEduVocDocument KF5::Archive KF5::CoreAddons KF5::I18n)
      ecm_mark_as_test(${_testname})
   endforeach(_testname)
endmacro()

keduvocdocument_executable_tests(
     sharedkvtmlfilestest
     converter
)

## libkeduvocdocument 14.12.3

=== debian/changelog ===
libkeduvocdocument (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:17:16 -0700

libkeduvocdocument (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with 
    remote site does not even have current version
  * batchpatch new symbols. 
  * Clean build. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 07:12:24 -0800

libkeduvocdocument (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 15:37:50 +0100

libkeduvocdocument (4:14.11.97-0ubuntu1) vivid; urgency=medium

  [ Jonathan Riddell ]
  * libkeduvocdocument5 depends on kdeedu-kvtml-data as all applications
    using libkeduvocdocument5 currently need kdeedu-kvtml-data

  [ Philip Muškovac ]
  * New upstream release candidate, renamed to libkeduvocdocument
  * Fix watch urls for new release location.
  * Update Vcs urls for the new repository location.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Drop kdeedu-kvtml-data and libkeedu-data packages as the files were
    removed upstream
  * Drop build-depend on kdelibs5-dev
  * Build-depend on extra-cmake-modules, kio-dev, libkf5archive-dev,
    libkf5i18n-dev
  * Update the package descriptions for the library rename

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 22 Nov 2014 13:26:40 +0100

libkdeedu (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:44 +0200

libkdeedu (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 06:07:38 +0200

libkdeedu (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:45 +0200

libkdeedu (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:07 +0100

libkdeedu (4:4.11.5-1) unstable; urgency=medium

  * New upstream release.
  * Enable build failures on missing symbols.
  * Add abi-compliance-checker info.
  * Add autopkgtests.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 26 Jan 2014 18:52:23 +0100

libkdeedu (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 15:23:52 +0100

libkdeedu (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 12:05:55 +0200

libkdeedu (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 12:59:06 +0200

libkdeedu (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Update libkdeedu-data install file.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 10:10:45 +0200

libkdeedu (4:4.10.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Update lintian overrides.

 -- Sune Vuorela <sune@debian.org>  Mon, 29 Apr 2013 01:27:35 +0200

libkdeedu (4:4.10.2-1) experimental; urgency=low

  * New upstream release

 -- Sune Vuorela <sune@debian.org>  Fri, 05 Apr 2013 22:00:28 +0000

libkdeedu (4:4.8.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4.8.4.
  * Bump kdelibs5-dev build dependency to 4.8.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Add watch file.
  * Convert copyright to copyright-format v1.0 and fix/update.
  * Slightly improve packages descriptions.
  * Update installed files.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Jun 2012 12:00:10 +0200

libkdeedu (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 06 Mar 2012 10:34:00 +0100

libkdeedu (4:4.7.4-1) experimental; urgency=low

  * New upstream release.
  
  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 00:07:24 +0100

libkdeedu (4:4.7.2-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * Initial release. Start from the Ubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:43:59 -0300

=== debian/control ===
Source: libkeduvocdocument
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kde-sc-dev-latest (>= 4:4.12),
               kio-dev,
               libkf5archive-dev,
               libkf5i18n-dev,
               libx11-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/libkeduvocdocument.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/libkeduvocdocument.git

Package: libkeduvocdocument5
Architecture: any
Section: libs
Depends: kdeedu-data, kdeedu-kvtml-data, ${misc:Depends}, ${shlibs:Depends}
Description: library for reading and writing vocabulary files
 This package contains a library for reading and writing vocabulary files. It
 supports different file formats. KVTML (version 2) is the default. This library
 is used by Parley, Kanagram, KHangMan and KWordQuiz.
 .
 This package is part of the KDE education module.

Package: libkeduvocdocument-dev
Architecture: any
Section: libdevel
Depends: libkeduvocdocument5 (= ${binary:Version}), ${misc:Depends}
Description: development files for KEduVocDocument
 This package contains development files for building software that uses the
 KEduVocDocument library
 .
 This package is part of the KDE education module.

Package: libkeduvocdocument-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libkeduvocdocument5 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the libkeduvocdocument library
 This package contains debugging files used to investigate problems with
 binaries included in the libkeduvocdocument5 library.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

.PHONY: override_dh_auto_test

override_dh_shlibdeps:
	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=libkeduvocdocument-dbg

## libkeduvocdocument 15.08.2

=== debian/changelog ===
libkeduvocdocument (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:56:52 +0100

libkeduvocdocument (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:40:26 +0100

libkeduvocdocument (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:46:02 +0100

libkeduvocdocument (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:23:56 +0100

libkeduvocdocument (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:44:16 +0200

## libkeduvocdocument 15.12.3

=== debian/changelog ===
libkeduvocdocument (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:17:55 -0700

libkeduvocdocument (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * Merged with Debian
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:27:06 +0100

libkeduvocdocument (4:15.08.2-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:52 +0100

libkeduvocdocument (4:15.08.0-1) unstable; urgency=medium

  * Upload to unstable

  [ Maximiliano Curia ]
  * Bump minimum qtbase5-dev version requirement.
  * Update libkeduvocdocument-dev.install for new cmake module locations

  [ Scott Kitterman ]
  * New upstream release

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 03 Sep 2015 10:08:12 -0400

libkeduvocdocument (4:14.12.2-1) experimental; urgency=medium

  * Prepare initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 Feb 2015 23:31:13 +0100

=== debian/control ===
Source: libkeduvocdocument
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0),
               kde-sc-dev-latest (>= 4:4.12),
               kio-dev (>= 5.3.0),
               libkf5archive-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: http://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkeduvocdocument.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkeduvocdocument.git

Package: libkeduvocdocument5
Architecture: any
Depends: kdeedu-data, kdeedu-kvtml-data, ${misc:Depends}, ${shlibs:Depends}
Description: library for reading and writing vocabulary files
 This package contains a library for reading and writing vocabulary files. It
 supports different file formats. KVTML (version 2) is the default. This library
 is used by Parley, Kanagram, KHangMan and KWordQuiz.
 .
 This package is part of the KDE education module.

Package: libkeduvocdocument-dev
Section: libdevel
Architecture: any
Depends: libkeduvocdocument5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: development files for KEduVocDocument
 This package contains development files for building software that uses the
 KEduVocDocument library
 .
 This package is part of the KDE education module.

Package: libkeduvocdocument-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libkeduvocdocument5 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the libkeduvocdocument library
 This package contains debugging files used to investigate problems with
 binaries included in the libkeduvocdocument5 library.
 .
 This package is part of the KDE education module.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,9 @@
 libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
 include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	# Disable dh_auto_test at build time
+	:
 
 override_dh_shlibdeps:
 	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkeduvocdocument-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/libkeduvocdocument-([\d.]+).tar.xz

## libkeduvocdocument 16.04.3

=== debian/changelog ===
libkeduvocdocument (4:16.04.3-0ubuntu2) yakkety; urgency=medium

  * Bump soname due to binary incompatible changes:
    libkeduvocdocument5 -> libkeduvocdocument5abi1

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 04 Oct 2016 22:26:28 +0100

libkeduvocdocument (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release
  * Refresh symbols. Remove MISSING. Rebuild? or ABI? 

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:38:24 +0200

=== debian/control ===
Source: libkeduvocdocument
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libkf5archive-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkeduvocdocument
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkeduvocdocument

Package: libkeduvocdocument5abi1
X-Debian-ABI: 1
X-CMake-Target: KEduVocDocument
Architecture: any
Depends: kdeedu-data, kdeedu-kvtml-data, ${misc:Depends}, ${shlibs:Depends}
Description: library for reading and writing vocabulary files
 This package contains a library for reading and writing vocabulary files. It
 supports different file formats. KVTML (version 2) is the default. This library
 is used by Parley, Kanagram, KHangMan and KWordQuiz.
 .
 This package is part of the KDE education module.

Package: libkeduvocdocument-dev
Section: libdevel
Architecture: any
Depends: libkeduvocdocument5abi1 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: development files for KEduVocDocument
 This package contains development files for building software that uses the
 KEduVocDocument library
 .
 This package is part of the KDE education module.

Package: libkeduvocdocument-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libkeduvocdocument5abi1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the libkeduvocdocument library
 This package contains debugging files used to investigate problems with
 binaries included in the libkeduvocdocument5 library.
 .
 This package is part of the KDE education module.

## libkeduvocdocument 16.08.0

=== debian/changelog ===
libkeduvocdocument (4:16.08.0-1) unstable; urgency=medium

  * New upstream release (16.08.0)
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 00:14:09 +0200

libkeduvocdocument (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Migrate dbg package to automatic dbgsym
  * Update symbols files

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 May 2016 12:08:25 +0200

=== debian/control ===
Source: libkeduvocdocument
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0),
               kde-sc-dev-latest (>= 4:4.12),
               kio-dev (>= 5.3.0),
               libkf5archive-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: http://edu.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkeduvocdocument.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkeduvocdocument.git

Package: libkeduvocdocument5
Architecture: any
Depends: kdeedu-data, kdeedu-kvtml-data, ${misc:Depends}, ${shlibs:Depends}
Description: library for reading and writing vocabulary files
 This package contains a library for reading and writing vocabulary files. It
 supports different file formats. KVTML (version 2) is the default. This library
 is used by Parley, Kanagram, KHangMan and KWordQuiz.
 .
 This package is part of the KDE education module.

Package: libkeduvocdocument-dev
Section: libdevel
Architecture: any
Depends: libkeduvocdocument5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: development files for KEduVocDocument
 This package contains development files for building software that uses the
 KEduVocDocument library
 .
 This package is part of the KDE education module.

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	$(overridden_command) --remaining-packages
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=libkeduvocdocument-dbg
+	$(overridden_command) --dbgsym-migration='libkeduvocdocument-dbg (<= 4:15.12.3-1~1.gbpd92b3c~)'

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11
Restrictions: rw-build-tree

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkeduvocdocument-([\d.]+).tar.xz

## libkeduvocdocument 16.12.3

=== debian/changelog ===
libkeduvocdocument (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * Correct testsuite restriction rw-build-tree -> build-needed
  * Create HOME directory for 'testsuite' autopkgtest
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:24:53 +0000

libkeduvocdocument (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update symbols from build logs
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:13:34 +0000

=== debian/control ===
Source: libkeduvocdocument
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkeduvocdocument
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkeduvocdocument

Package: libkeduvocdocument5abi1
X-Debian-ABI: 1
X-CMake-Target: KEduVocDocument
Architecture: any
Depends: kdeedu-data, kdeedu-kvtml-data, ${misc:Depends}, ${shlibs:Depends}
Description: library for reading and writing vocabulary files
 This package contains a library for reading and writing vocabulary files. It
 supports different file formats. KVTML (version 2) is the default. This library
 is used by Parley, Kanagram, KHangMan and KWordQuiz.
 .
 This package is part of the KDE education module.

Package: libkeduvocdocument-dev
Section: libdevel
Architecture: any
Depends: libkeduvocdocument5abi1 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: development files for KEduVocDocument
 This package contains development files for building software that uses the
 KEduVocDocument library
 .
 This package is part of the KDE education module.

Package: libkeduvocdocument-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libkeduvocdocument5abi1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the libkeduvocdocument library
 This package contains debugging files used to investigate problems with
 binaries included in the libkeduvocdocument5 library.
 .
 This package is part of the KDE education module.

## libkeduvocdocument 17.04.3

=== debian/changelog ===
libkeduvocdocument (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Refresh add_debian_abi_manager.diff
  * Add libkeduvocdocument-data package installing translations.
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:28:50 +0100

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,24 @@
 X-Debian-ABI: 1
 X-CMake-Target: KEduVocDocument
 Architecture: any
-Depends: kdeedu-data, kdeedu-kvtml-data, ${misc:Depends}, ${shlibs:Depends}
+Depends: kdeedu-data,
+         kdeedu-kvtml-data,
+         libkeduvocdocument-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: library for reading and writing vocabulary files
+ This package contains a library for reading and writing vocabulary files. It
+ supports different file formats. KVTML (version 2) is the default. This library
+ is used by Parley, Kanagram, KHangMan and KWordQuiz.
+ .
+ This package is part of the KDE education module.
+
+Package: libkeduvocdocument-data
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
+Description: library for reading and writing vocabulary files - data files
  This package contains a library for reading and writing vocabulary files. It
  supports different file formats. KVTML (version 2) is the default. This library
  is used by Parley, Kanagram, KHangMan and KWordQuiz.

## libkeduvocdocument 17.08.3

=== keduvocdocument/CMakeLists.txt ===
--- 
+++ 
@@ -30,8 +30,6 @@
     keduvockvtmlcompability.cpp
     keduvockvtml2writer.cpp
     keduvoccsvwriter.cpp
-    autosave/kautosavefile.cpp
-    autosave/kautosavefileprivate.cpp
     readerwriters/dummyreader.cpp
     readerwriters/failedreader.cpp
     readerwriters/keduvockvtmlreader.cpp

=== debian/changelog ===
libkeduvocdocument (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Stop excluding kde-runtime from the shlibdeps of libraries, since it is no
    more injected.
  * Use https in copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Dec 2017 08:29:30 +0100

libkeduvocdocument (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Bump group breaks (17.08)
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:35 +0200

libkeduvocdocument (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:05:09 +0000

libkeduvocdocument (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:41:44 +0000

libkeduvocdocument (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:24:42 +0000

libkeduvocdocument (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:24:08 +0000

libkeduvocdocument (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:26:10 +0000

libkeduvocdocument (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:06:42 +0000

libkeduvocdocument (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:50:54 +0000

libkeduvocdocument (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:03:11 +0000

libkeduvocdocument (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:24:32 +0000

libkeduvocdocument (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:31:58 +0000

libkeduvocdocument (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:54:33 +0000

libkeduvocdocument (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:41:29 +0000

libkeduvocdocument (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:13 +0000

libkeduvocdocument (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:50:27 +0000

libkeduvocdocument (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:37:00 +0000

libkeduvocdocument (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jun 2016 10:30:34 +0000

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkeduvocdocument-dbg (<= 4:15.12.3-1~1.gbpd92b3c~)'

## libkeduvocdocument 17.12.3

=== debian/changelog ===
libkeduvocdocument (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:32:40 +0000

libkeduvocdocument (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:02:20 +0000

libkeduvocdocument (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Package priority 'extra' is depreciated in favour of 'optional'
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:12:09 +0000

=== debian/control ===
--- 
+++ 
@@ -58,7 +58,7 @@
 
 Package: libkeduvocdocument-dbg
 Section: debug
-Priority: extra
+Priority: optional
 Architecture: any
 Depends: libkeduvocdocument5abi1 (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for the libkeduvocdocument library

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_shlibdeps:
	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=libkeduvocdocument-dbg

## libkeduvocdocument 18.04.3

=== debian/changelog ===
libkeduvocdocument (4:18.04.3-0ubuntu3) cosmic; urgency=medium

  * Fix wrong commented line in last upload.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 31 Aug 2018 11:06:26 +0100

libkeduvocdocument (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * debian/tests/testsuite: Unconditionally set '$HOME' for tests to
    debian/tests.home.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 31 Aug 2018 09:22:50 +0100

libkeduvocdocument (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:22:41 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://edu.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkeduvocdocument
@@ -49,7 +49,7 @@
 Architecture: any
 Depends: libkeduvocdocument5abi1 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: development files for KEduVocDocument
  This package contains development files for building software that uses the
  KEduVocDocument library

## libkeduvocdocument 18.12.3

=== debian/changelog ===
libkeduvocdocument (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:34:32 +0000

libkeduvocdocument (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:21:32 +0000

libkeduvocdocument (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:20:03 +0000

libkeduvocdocument (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * Update symbols.
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:53:21 +0000

libkeduvocdocument (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bump soname due to binary incompatible changes:
      libkeduvocdocument5 -> libkeduvocdocument5abi1
    - Data package for translations.
    - d/tests: Keep our testsuite for now.
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 26 Dec 2018 19:03:58 +0000

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,5 @@
 	# Disable dh_auto_test at build time
 	:
 
-override_dh_shlibdeps:
-	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime
-	$(overridden_command) --remaining-packages
-
 override_dh_strip:
-	$(overridden_command) --dbg-package=libkeduvocdocument-dbg
+	$(overridden_command) --dbgsym-migration='libkeduvocdocument-dbg (<= 4:15.12.3-1~1.gbpd92b3c~)'

## libkeduvocdocument 19.04.3

=== debian/changelog ===
libkeduvocdocument (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:20:11 +0100

libkeduvocdocument (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:14:43 +0100

libkeduvocdocument (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:03:43 +0100

libkeduvocdocument (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)
  * Update symbols.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 16:58:22 +0100

## libkeduvocdocument 19.12.3

=== debian/changelog ===
libkeduvocdocument (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:16:54 +0000

libkeduvocdocument (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:26:01 +0000

libkeduvocdocument (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 15:00:20 +0000

libkeduvocdocument (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:54:01 +0000

libkeduvocdocument (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * Follow Debian in dropping tests:
    - Drop the 'testsuite' autopkgtest, as it does not test the installed
      packages.
    - Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as
      they are not run at build time anyway.
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:38:36 +0000

=== debian/control ===
--- 
+++ 
@@ -11,26 +11,10 @@
                libkf5kio-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 Homepage: http://edu.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkeduvocdocument
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkeduvocdocument
-
-Package: libkeduvocdocument5abi1
-X-Debian-ABI: 1
-X-CMake-Target: KEduVocDocument
-Architecture: any
-Depends: kdeedu-data,
-         kdeedu-kvtml-data,
-         libkeduvocdocument-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: library for reading and writing vocabulary files
- This package contains a library for reading and writing vocabulary files. It
- supports different file formats. KVTML (version 2) is the default. This library
- is used by Parley, Kanagram, KHangMan and KWordQuiz.
- .
- This package is part of the KDE education module.
 
 Package: libkeduvocdocument-data
 Architecture: all
@@ -56,13 +40,22 @@
  .
  This package is part of the KDE education module.
 
-Package: libkeduvocdocument-dbg
-Section: debug
-Priority: optional
+Package: libkeduvocdocument5abi1
+X-Debian-ABI: 1
+X-CMake-Target: KEduVocDocument
 Architecture: any
-Depends: libkeduvocdocument5abi1 (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for the libkeduvocdocument library
- This package contains debugging files used to investigate problems with
- binaries included in the libkeduvocdocument5 library.
+Depends: kdeedu-data,
+         kdeedu-kvtml-data,
+         libkeduvocdocument-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: kanagram (<< 4:17.08),
+        khangman (<< 4:17.08),
+        kwordquiz (<< 4:17.08),
+        parley (<< 4:17.08),
+Description: library for reading and writing vocabulary files
+ This package contains a library for reading and writing vocabulary files. It
+ supports different file formats. KVTML (version 2) is the default. This library
+ is used by Parley, Kanagram, KHangMan and KWordQuiz.
  .
  This package is part of the KDE education module.

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
 include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk
 
+override_dh_auto_configure:
+	$(overridden_command) -- -DBUILD_TESTING=OFF
+
 override_dh_auto_test:
 	# Disable dh_auto_test at build time
 	:

## libkeduvocdocument 20.08.1

=== debian/changelog ===
libkeduvocdocument (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:01:10 +0100

libkeduvocdocument (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:52:49 +0100

libkeduvocdocument (4:20.04.3-1ubuntu1) groovy; urgency=medium

  * Merge Debian changes. Remaining changes:
    - Bump soname due to binary incompatible changes:
      libkeduvocdocument5 -> libkeduvocdocument5abi1
    - Data package for translations.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Aug 2020 18:40:12 +0100

libkeduvocdocument (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5.0
    - explicitly add gettext
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Drop the migration from libkeduvocdocument-dbg, no more needed after two
    Debian stable releases.
  * Stop using library-packages.mk, as there is only one library package.
  * Update symbols file. (Closes: #943394)
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages. (Closes: #960714)
  * Update watch file to the new release-service location.
  * Avoid a small ABI break; patch revert-abi-change.diff.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5, and pkgkde_symbolshelper addons
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Add the configuration for the CI on salsa.
  * Add Rules-Requires-Root: no.
  * Drop the leftovers of the unused 'acc' autopkgtest.
  * Mark libkeduvocdocument5 as Multi-Arch: same.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Aug 2020 11:39:43 +0200

libkeduvocdocument (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:43:23 +0100

libkeduvocdocument (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:24:47 +0100

libkeduvocdocument (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:41:49 +0100

libkeduvocdocument (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:27:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5archive-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
+Build-Depends: cmake (>= 3.5.0~),
+               debhelper-compat (= 12),
+               extra-cmake-modules (>= 1.3.0),
+               gettext,
+               libkf5archive-dev (>= 5.3.0),
+               libkf5i18n-dev (>= 5.3.0),
+               libkf5kio-dev (>= 5.3.0),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~),
-Standards-Version: 4.1.1
+               qtbase5-dev (>= 5.4),
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://edu.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkeduvocdocument
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkeduvocdocument

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol
